## r-bioc-ensembldb 2.28.1+dfsg

=== DESCRIPTION ===
Package: ensembldb
Type: Package
Title: Utilities to create and use Ensembl-based annotation databases
Version: 2.28.1
Authors@R: c(person(given = "Johannes", family = "Rainer",
	   email = "johannes.rainer@eurac.edu",
	   role = c("aut", "cre"),
	   comment = c(ORCID = "0000-0002-6977-7147")),
	   person(given = "Tim", family = "Triche",
	   email = "tim.triche@usc.edu",
	   role = "ctb"),
	   person(given = "Christian", family = "Weichenberger",
	   email = "christian.weichenberger@eurac.edu",
	   role = "ctb",
	   comment = c(ORCID = "0000-0002-2176-0274")),
	   person(given = "Sebastian", family = "Gibb",
	   email = "mail@sebastiangibb.de",
	   role = "ctb",
	   comment = c(ORCID = "0000-0001-7406-4443")),
	   person(given = "Laurent", family = "Gatto",
	   email = "lg390@cam.ac.uk",
	   role = "ctb",
	   comment = c(ORCID = "0000-0002-1520-2268")),
       person(given = "Boyu", family = "Yu",
	   email = "boyu.yu.tim@gmail.com",
	   role = "ctb"))
Author: Johannes Rainer <johannes.rainer@eurac.edu> with contributions
	from Tim Triche, Sebastian Gibb, Laurent Gatto
	Christian Weichenberger and Boyu Yu.
Maintainer: Johannes Rainer <johannes.rainer@eurac.edu>
URL: https://github.com/jorainer/ensembldb
BugReports: https://github.com/jorainer/ensembldb/issues
Imports: methods, RSQLite (>= 1.1), DBI, Biobase, GenomeInfoDb,
        AnnotationDbi (>= 1.31.19), rtracklayer, S4Vectors (>=
        0.23.10), Rsamtools, IRanges (>= 2.13.24), ProtGenerics,
        Biostrings (>= 2.47.9), curl
Depends: R (>= 3.5.0), BiocGenerics (>= 0.15.10), GenomicRanges (>=
        1.31.18), GenomicFeatures (>= 1.49.6), AnnotationFilter (>=
        1.5.2)
Suggests: BiocStyle, knitr, EnsDb.Hsapiens.v86 (>= 0.99.8), testthat,
        BSgenome.Hsapiens.NCBI.GRCh38, ggbio (>= 1.24.0), Gviz (>=
        1.20.0), rmarkdown, AnnotationHub
Enhances: RMariaDB, shiny
VignetteBuilder: knitr
Description: The package provides functions to create and use
    transcript centric annotation databases/packages. The
    annotation for the databases are directly fetched from Ensembl
    using their Perl API. The functionality and data is similar to
    that of the TxDb packages from the GenomicFeatures package,
    but, in addition to retrieve all gene/transcript models and
    annotations from the database, ensembldb provides a filter
    framework allowing to retrieve annotations for specific entries
    like genes encoded on a chromosome region or transcript models
    of lincRNA genes. EnsDb databases built with ensembldb contain
    also protein annotations and mappings between proteins and
    their encoding transcripts. Finally, ensembldb provides
    functions to map between genomic, transcript and protein
    coordinates.
Collate: 'Classes.R' 'Deprecated.R' 'Generics.R' 'Methods-Filter.R'
        'Methods.R' 'dbhelpers.R' 'functions-EnsDb.R'
        'functions-Filter.R' 'functions-create-EnsDb.R'
        'functions-utils.R' 'proteinToX.R' 'transcriptToX.R'
        'genomeToX.R' 'select-methods.R' 'seqname-utils.R' 'zzz.R'
biocViews: Genetics, AnnotationData, Sequencing, Coverage
License: LGPL
RoxygenNote: 7.3.1
git_url: https://git.bioconductor.org/packages/ensembldb
git_branch: RELEASE_3_19
git_last_commit: 32dfb29
git_last_commit_date: 2024-08-21
Repository: Bioconductor 3.19
Date/Publication: 2024-08-21
NeedsCompilation: no
Packaged: 2024-08-21 21:53:54 UTC; biocbuild

=== debian/changelog ===
r-bioc-ensembldb (2.28.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 05 Sep 2024 10:16:09 +0200

r-bioc-ensembldb (2.28.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 18 Aug 2024 12:28:39 +0200

r-bioc-ensembldb (2.28.0+dfsg-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: add minimum version number matching bioc-3.19+

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 22 Jul 2024 13:04:27 +0200

r-bioc-ensembldb (2.28.0+dfsg-1~0exp) experimental; urgency=low

  * Team upload.
  * New upstream version
  * Set upstream metadata fields: Archive.
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 10 Jul 2024 00:18:22 +0200

## r-bioc-ensembldb 2.30.0%2Bdfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: ensembldb
 Type: Package
 Title: Utilities to create and use Ensembl-based annotation databases
-Version: 2.28.1
+Version: 2.30.0
 Authors@R: c(person(given = "Johannes", family = "Rainer",
 	   email = "johannes.rainer@eurac.edu",
 	   role = c("aut", "cre"),
@@ -63,12 +63,12 @@
         'genomeToX.R' 'select-methods.R' 'seqname-utils.R' 'zzz.R'
 biocViews: Genetics, AnnotationData, Sequencing, Coverage
 License: LGPL
-RoxygenNote: 7.3.1
+RoxygenNote: 7.3.2
 git_url: https://git.bioconductor.org/packages/ensembldb
-git_branch: RELEASE_3_19
-git_last_commit: 32dfb29
-git_last_commit_date: 2024-08-21
-Repository: Bioconductor 3.19
-Date/Publication: 2024-08-21
+git_branch: RELEASE_3_20
+git_last_commit: 1376f59
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: no
-Packaged: 2024-08-21 21:53:54 UTC; biocbuild
+Packaged: 2024-10-30 00:34:49 UTC; biocbuild

## r-bioc-ensembldb 2.30.0+dfsg

=== inst/pkg-template/DESCRIPTION ===
Package: @PKGNAME@
Title: @PKGTITLE@
Description: @PKGDESCRIPTION@
Version: @PKGVERSION@
Author: @AUTHOR@
Maintainer: @MAINTAINER@
Depends: ensembldb
License: @LIC@
organism: @ORGANISM@
species: @SPECIES@
provider: @PROVIDER@
provider_version: @PROVIDERVERSION@
release_date: @RELEASEDATE@
resource_url: @SOURCEURL@
biocViews: AnnotationData, EnsDb, @ORGANISMBIOCVIEW@

=== debian/changelog ===
r-bioc-ensembldb (2.30.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * d/tests/autopkgtest-pkg-r.conf: remove r-bioc-ensdb.hsapiens.v86, it
    is not yet available.
  * Remove tests requiring not yet packaged dataset

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 16 Jan 2025 17:00:01 +0100

r-bioc-ensembldb (2.30.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 13 Jan 2025 23:22:33 +0100

r-bioc-ensembldb (2.30.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 29 Nov 2024 17:43:38 +0100

=== debian/control ===
Source: r-bioc-ensembldb
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics,
               r-bioc-genomicranges,
               r-bioc-genomicfeatures (>= 1.49.6),
               r-bioc-annotationfilter,
               r-cran-rsqlite,
               r-cran-dbi,
               r-bioc-biobase,
               r-bioc-genomeinfodb,
               r-bioc-annotationdbi,
               r-bioc-rtracklayer,
               r-bioc-s4vectors,
               r-bioc-rsamtools,
               r-bioc-iranges,
               r-bioc-protgenerics,
               r-bioc-biostrings,
               r-cran-curl
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-ensembldb
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-ensembldb.git
Homepage: https://bioconductor.org/packages/ensembldb/
Rules-Requires-Root: no

Package: r-bioc-ensembldb
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R utilities to create and use an Ensembl based annotation database
 The package provides functions to create and use transcript centric
 annotation databases/packages. The annotation for the databases are
 directly fetched from Ensembl using their Perl API. The functionality
 and data is similar to that of the TxDb packages from the
 GenomicFeatures package, but, in addition to retrieve all
 gene/transcript models and annotations from the database, the ensembldb
 package provides also a filter framework allowing to retrieve
 annotations for specific entries like genes encoded on a chromosome
 region or transcript models of lincRNA genes.
